Redmine - Defect #11621

Redmine MIME Detection Of Javascript Files Non-Standard
2012-08-10 19:10 - William Roush

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 2.1.0

Resolution: Fixed Affected version: 2.0.3
Description

Currently the mime type defined is "text\x-javascript".

source:tags/2.0.3/lib/redmine/mime_type.rb#L29

According to the RFC, it should be "application\javascript", modern browsers identify it as "text\javascript".

Sending a javascript file with the currently implemented mime type in chrome will throw warnings.

Resource interpreted as Script but transferred with MIME type text/x-javascript

Related issues:
Related to Redmine - Defect #32012: Broken JavaScript icon in the repository ... Closed

Associated revisions

Revision 10195 - 2012-08-13 14:39 - Jean-Philippe Lang

Set application/javascript as javascript mime tpye (#11621).

History

#1 - 2012-08-13 14:41 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.0

- Resolution set to Fixed

Mime type changed to application/javascript in r10195.

#2 - 2019-09-05 01:33 - Go MAEDA
- Related to Defect #32012: Broken JavaScript icon in the repository view added
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.0.3/lib/redmine/mime_type.rb#L29
https://www.redmine.org/projects/redmine/repository/svn/revisions/10195
http://www.tcpdf.org

